ActiveAdmin.register JamRuby::BroadcastNotification, :as => 'BroadcastNotification' do

  menu :label => 'Notifications'

  config.sort_order = 'created_at_desc'
  config.batch_actions = false
  config.clear_action_items!
  config.filters = false

  action_item :only => :index do
    link_to "New Broadcast" , "broadcast_notifications/new" 
  end

  show do
    attributes_table do
      row :title
      row :message
      row :button_label
      row :button_url
      row :frequency
      row :frequency_distribution
    end
  end


end
